summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Mair-Keimberger <m.mairkeimberger@gmail.com>2019-05-26 10:36:32 +0200
committerAaron Bauman <bman@gentoo.org>2019-11-29 17:16:40 -0500
commit5cc0fc86d15fa0fac1f2c1c26a97c5e882900087 (patch)
tree71da6bc70ccbc1d8a4bad3b91237c3ec731cb533 /dev-libs/libtomfloat
parentdev-libs/libtomfloat: fix HOMEPAGE, SRC_URI (diff)
downloadgentoo-5cc0fc86d15fa0fac1f2c1c26a97c5e882900087.tar.gz
gentoo-5cc0fc86d15fa0fac1f2c1c26a97c5e882900087.tar.bz2
gentoo-5cc0fc86d15fa0fac1f2c1c26a97c5e882900087.zip
dev-libs/libtomfloat: EAPI=7 bump
Closes: https://bugs.gentoo.org/686774 Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/12111 Signed-off-by: Aaron Bauman <bman@gentoo.org>
Diffstat (limited to 'dev-libs/libtomfloat')
-rw-r--r--dev-libs/libtomfloat/libtomfloat-0.02-r1.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-libs/libtomfloat/libtomfloat-0.02-r1.ebuild b/dev-libs/libtomfloat/libtomfloat-0.02-r1.ebuild
new file mode 100644
index 00000000000..be4077cf256
--- /dev/null
+++ b/dev-libs/libtomfloat/libtomfloat-0.02-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="library for floating point number manipulation"
+HOMEPAGE="http://www.libtom.net/"
+SRC_URI="https://github.com/libtom/libtomfloat/releases/download/${PV}/ltf-${PV}.tar.bz2"
+
+LICENSE="WTFPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DEPEND="dev-libs/libtommath"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ sed -i \
+ -e 's:\<ar\>:$(AR):' \
+ -e 's:\<ranlib\>:$(RANLIB):' \
+ -e "/^LIBPATH/s:/lib:/$(get_libdir):" \
+ makefile || die
+ tc-export AR CC RANLIB
+}
+
+src_install() {
+ default
+ dodoc changes.txt float.pdf WARNING
+ docinto demos ; dodoc demos/ex1.c
+}